summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2016-09-22 09:32:01 +0200
committerJeroen Roovers <jer@gentoo.org>2016-09-22 09:32:22 +0200
commit9e89e498bcc7a994fce56c7baa27c36e12ce8719 (patch)
tree84b25b240a42b2409c615c104db6100a5ca00dd5
parentsci-biology/clustal-omega: Version bump, allow for compiling with GCC 6 (diff)
downloadgentoo-9e89e498bcc7a994fce56c7baa27c36e12ce8719.tar.gz
gentoo-9e89e498bcc7a994fce56c7baa27c36e12ce8719.tar.bz2
gentoo-9e89e498bcc7a994fce56c7baa27c36e12ce8719.zip
www-client/opera: Version bump.
Package-Manager: portage-2.3.1
-rw-r--r--www-client/opera/Manifest2
-rw-r--r--www-client/opera/opera-40.0.2308.62.ebuild94
2 files changed, 96 insertions, 0 deletions
diff --git a/www-client/opera/Manifest b/www-client/opera/Manifest
index 4c13a951a8d..ab48271877f 100644
--- a/www-client/opera/Manifest
+++ b/www-client/opera/Manifest
@@ -6,3 +6,5 @@ DIST opera-stable_39.0.2256.71_amd64.deb 51339442 SHA256 1b2a0a5a19befd950b9fbcd
DIST opera-stable_39.0.2256.71_i386.deb 51758624 SHA256 cca2d3caba9cee4778f1f623842fdd79bd7f375a1ffc02d84c5fd271aa4c3e51 SHA512 348a193ff88a4592c7ea27814078b01da102d5ca60cfff5a0f63564082d6f4611ee7ed3da694e3c0986a5af33f8b840c4926ce56371d36ce98a8fedd6cdbb085 WHIRLPOOL e42cf2697dedb4a8617f779e0a5904a567cd5a805623cf54fb5a2ca4c18eef2d3e072635ba094dcbafe4f59db1f41072dce7527df7fbe85d384722a985124e8c
DIST opera-stable_40.0.2308.54_amd64.deb 48014810 SHA256 1fd680cf078c24073384c5d3bdc3154bf2d925b368deea1547e3b35a236e86ea SHA512 11bd123a959acf97faf7a1c3c8fbefd4948c341fdbdcc67166da23b20d8ff4f641f951f814dd54363ec6ba31b1957d3657c389eff950c824f8ea22dfa80f65cb WHIRLPOOL 2fe030cd8df7706e9f890fc5bbbef7c3271561bae71ee58d7046ed4bf52f54ed52f792adbc0231360b01f2201a12f19bbecb67cb652c3c3d66138cfa33fabf45
DIST opera-stable_40.0.2308.54_i386.deb 48400188 SHA256 ae4b2f428d41182b2b7a8f6b97b3ea1cb807d860faeb85471d181310f1448ddf SHA512 350348c61d182ad290da4f2a5b1a97dcf01bc0b54bb59f3f4bbf90b8f00cac9e8300f950af32c3eaaae88ebf0ad6b2ddc7cae339f9ab89b8f74bccca04be62f4 WHIRLPOOL 9ba1946048e4e27bf967c4b3b92d8426acacff083aeae37956344dc90ea5df8730cbdb4e6c754bff4cfba1dedc7c9c44e98f2fc701fa374d74aad8e5d97b1fce
+DIST opera-stable_40.0.2308.62_amd64.deb 47169022 SHA256 61c62a0de6759119d529ac0543af1bad1b30815ea796fa944ce5c1d5649ac2ed SHA512 4974f35504da3ed0d0f14642519ae86b7a03d18beeead37b226164cc8c7b46ba12c4cbb1ed34780793935f2337f8a589f045d948bd2aedec3246c465acb2f395 WHIRLPOOL d91fb6be21b6c43eddb8346d1fff0496a850a1ec7ef6bbf6a62cec291791253982efe8dad47e78bb1ab4e65d5e0ad5179cdfdb66396a5e12371ab93a37153dd6
+DIST opera-stable_40.0.2308.62_i386.deb 48987444 SHA256 6e0e5209caab2ad48ec4bcda2ac24addb7c91dbff1013c4a7dd9a01dfa0f8058 SHA512 f1edec21c701e637ec6148bf8c7022cde1dbafa8a4143b1b9e0dd132f0d8b009ec46336e74e4a353b398864b2dd29e6acde4c07a156e5aeba9fe9c4894f9f610 WHIRLPOOL 5fee76e92c7d4c4a1a295ca08f0f4c98ec18b6d7b84f482ce8a6daed5fa4edb21f749216e93fc4c25bb3536a3a031a3441be100232e45d679d3fc91f8ee45bdf
diff --git a/www-client/opera/opera-40.0.2308.62.ebuild b/www-client/opera/opera-40.0.2308.62.ebuild
new file mode 100644
index 00000000000..0bbeca1bcea
--- /dev/null
+++ b/www-client/opera/opera-40.0.2308.62.ebuild
@@ -0,0 +1,94 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+CHROMIUM_LANGS="
+ af az be bg bn ca cs da de el en-GB es-419 es fil fi fr-CA fr fy gd he hi
+ hr hu id it ja kk ko lt lv mk ms nb nl nn pa pl pt-BR pt-PT ro ru sk sr
+ sr-ME sv sw ta te th tr uk uz vi zh-CN zh-TW zu
+"
+inherit chromium-2 multilib unpacker
+
+DESCRIPTION="A fast and secure web browser"
+HOMEPAGE="http://www.opera.com/"
+LICENSE="OPERA-2014"
+SLOT="0"
+SRC_URI_BASE="http://get.geo.opera.com/pub/"
+SRC_URI="
+ amd64? ( "${SRC_URI_BASE}${PN}/desktop/${PV}/linux/${PN}-stable_${PV}_amd64.deb" )
+ x86? ( "${SRC_URI_BASE}${PN}/desktop/${PV}/linux/${PN}-stable_${PV}_i386.deb" )
+"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-libs/expat
+ dev-libs/glib:2
+ dev-libs/nspr
+ dev-libs/nss
+ >=dev-libs/openssl-1.0.1:0
+ gnome-base/gconf:2
+ media-libs/alsa-lib
+ media-libs/fontconfig
+ media-libs/freetype
+ net-misc/curl
+ net-print/cups
+ sys-apps/dbus
+ sys-libs/libcap
+ x11-libs/cairo
+ x11-libs/gdk-pixbuf
+ x11-libs/gtk+:2
+ x11-libs/libX11
+ x11-libs/libXScrnSaver
+ x11-libs/libXcomposite
+ x11-libs/libXcursor
+ x11-libs/libXdamage
+ x11-libs/libXext
+ x11-libs/libXfixes
+ x11-libs/libXi
+ x11-libs/libXrandr
+ x11-libs/libXrender
+ x11-libs/libXtst
+ x11-libs/libnotify
+ x11-libs/pango[X]
+"
+
+QA_PREBUILT="*"
+S=${WORKDIR}
+OPERA_HOME="usr/$(get_libdir)/${PN}"
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_prepare() {
+ case ${ARCH} in
+ amd64)
+ mv usr/lib/x86_64-linux-gnu usr/$(get_libdir) || die
+ rm -r usr/lib || die
+ ;;
+ x86)
+ mv usr/lib/i386-linux-gnu/${PN} usr/$(get_libdir) || die
+ rmdir usr/lib/i386-linux-gnu || die
+ ;;
+ esac
+
+ rm usr/bin/${PN} || die
+
+ rm usr/share/doc/${PN}-stable/copyright || die
+ mv usr/share/doc/${PN}-stable usr/share/doc/${PF} || die
+
+ pushd "${OPERA_HOME}/localization" > /dev/null || die
+ chromium_remove_language_paks
+ popd > /dev/null || die
+
+ sed -i \
+ -e 's|^TargetEnvironment|X-&|g' \
+ usr/share/applications/${PN}.desktop || die
+}
+
+src_install() {
+ mv * "${D}" || die
+ dosym ../$(get_libdir)/${PN}/${PN} /usr/bin/${PN}
+ fperms 4711 /usr/$(get_libdir)/${PN}/opera_sandbox
+}